<?php
/**
 *
 * 文件说明: 内容付费插件初始化
 *
 * Created by PhpStorm.
 * User: qs9515
 * Date: 2020/3/10
 * Time: 22:23
 *
 * $Id$
 * $LastChangedDate$
 * $LastChangedRevision$
 * $LastChangedBy$
 */

!defined('EMLOG_ROOT') && exit('access deined!');
/**
 * 方法名称:callback_init
 * 说明:插件激活回调函数
 */
function callback_init() {
    $db = Database::getInstance();
    $sql[]="CREATE TABLE IF NOT EXISTS  `".DB_PREFIX."pay` (
  `pid` int(11) NOT NULL AUTO_INCREMENT,
  `bid` int(11) NOT NULL COMMENT '博客ID号',
  `money` float(10,2) DEFAULT NULL,
  `desc` text COMMENT '付费说明',
  PRIMARY KEY (`pid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='文章付费价格信息';";
    $sql[]="CREATE TABLE IF NOT EXISTS  `".DB_PREFIX."pay_log` (
  `plid` int(10) NOT NULL AUTO_INCREMENT,
  `phone` varchar(60) NOT NULL COMMENT '手机号码',
  `bid` int(10) NOT NULL COMMENT '博客ID',
  `pay_id` varchar(50) NOT NULL COMMENT '订单号',
  `pay_time` datetime DEFAULT NULL COMMENT '付款时间',
  `money` float(10,2) DEFAULT NULL COMMENT '付款金额',
  `user_info` varchar(255) DEFAULT NULL COMMENT '用户浏览器信息',
  `ip` varchar(20) DEFAULT NULL COMMENT '用户IP',
  `created` datetime DEFAULT NULL COMMENT '创建时间',
  `updated` datetime DEFAULT NULL COMMENT '更新时间',
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '状态，1正常，2禁用',
  `xpay_id` varchar(50) NOT NULL COMMENT 'xpay返回的订单号',
  PRIMARY KEY (`plid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='文章付费记录';";
    $sql[]="CREATE TABLE IF NOT EXISTS  `".DB_PREFIX."pay_view` (
  `vid` int(10) NOT NULL,
  `bid` int(10) DEFAULT NULL COMMENT '博客ID',
  `views` int(10) DEFAULT '0' COMMENT '查看次数',
  `phone` varchar(50) NOT NULL COMMENT '用户信息',
  `host` varchar(255) DEFAULT NULL COMMENT '用户浏览器信息',
  `ip` varchar(20) DEFAULT NULL COMMENT '用户IP信息',
  `visit_date` datetime NOT NULL COMMENT '访问时间',
  PRIMARY KEY (`vid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='付费文章查看记录';";
    foreach ($sql as $k=>$v)
    {
        $db->query($v);
    }
}

/**
 * 方法名称:callback_rm
 * 说明:插件禁用处理函数
 */
function callback_rm()
{

}